View Issue Details

IDProjectCategoryView StatusLast Update
0016762CentOS-8kernel-pluspublic2020-01-20 17:32
Reporterrevident 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version8.0.1905 
Target VersionFixed in Version 
Summary0016762: Enable mvsas driver in kernel plus.
DescriptionRedhat has removed the mvsas driver, this which is needed for a popular and inexpensive SAS/SATA HBA that is still on the market.
Please enable this driver in Kernel Plus.

# As seen in CentOS-7/Fedora-31 Kernel Configs, which work
CONFIG_SCSI_MVSAS=m
# CONFIG_SCSI_MVSAS_DEBUG is not set
CONFIG_SCSI_MVSAS_TASKLET=y
Steps To ReproduceAs per Upstearm documentation, mvsas was removed.
Booting a host with a controller that use this driver will present no disks downstream of it.
Additional InformationThe SUPERMICRO AOC-SAS2LP-MV8 is popular among ZFS users for being a still available, low-cost non-raid HBA.
Marvell 88SE9485 SAS/SATA controller (1b4b:9485)
https://www.supermicro.com/en/products/accessories/addon/AOC-SAS2LP-MV8.php

TagsNo tags attached.

Activities

toracat

toracat

2019-11-24 00:26

manager   ~0035744

There will be no more kernel updates for 8.0. I will make the change in the upcoming 8.1 plus kernel.
toracat

toracat

2020-01-13 06:13

manager   ~0036008

Done here:

https://git.centos.org/rpms/kernel/c/e3c1e1113d7a102c66cf46f18adb758e33dc39f7?branch=c8-sig-centosplus-kernel
toracat

toracat

2020-01-20 17:32

manager   ~0036077

kernel-plus-4.18.0-147.3.1.el8_1.centos.plus released.

Issue History

Date Modified Username Field Change
2019-11-23 16:19 revident New Issue
2019-11-24 00:22 toracat Status new => assigned
2019-11-24 00:26 toracat Note Added: 0035744
2020-01-13 06:13 toracat Note Added: 0036008
2020-01-20 17:32 toracat Status assigned => resolved
2020-01-20 17:32 toracat Resolution open => fixed
2020-01-20 17:32 toracat Note Added: 0036077